package com.bonus.canteen.core.menu.vo;

import com.bonus.canteen.core.common.enums.AllocMealtimeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalTime;
import java.util.List;

@ApiModel("设备获取指定菜谱的详情")
public class AndroidGetRecipeDishesVO implements Serializable {
   @ApiModelProperty("餐次id")
   private Long intervalId;
   @ApiModelProperty("餐次名称")
   private String intervalName;
   @ApiModelProperty("餐次开始时间")
   private LocalTime startTime;
   @ApiModelProperty("餐次结束时间")
   private LocalTime endTime;
   @ApiModelProperty("分类详情")
   private List<AndroidGetRecipeTypeVO> typeList;

   public String getIntervalName() {
      return AllocMealtimeTypeEnum.getDescByKey(this.intervalId.intValue());
   }

   public Long getIntervalId() {
      return this.intervalId;
   }

   public LocalTime getStartTime() {
      return this.startTime;
   }

   public LocalTime getEndTime() {
      return this.endTime;
   }

   public List<AndroidGetRecipeTypeVO> getTypeList() {
      return this.typeList;
   }

   public void setIntervalId(final Long intervalId) {
      this.intervalId = intervalId;
   }

   public void setIntervalName(final String intervalName) {
      this.intervalName = intervalName;
   }

   public void setStartTime(final LocalTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalTime endTime) {
      this.endTime = endTime;
   }

   public void setTypeList(final List<AndroidGetRecipeTypeVO> typeList) {
      this.typeList = typeList;
   }

}
